# Class PlayRun

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.play.tasks.PlayRun

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>`

@Incubating public class PlayRun extends org.gradle.api.internal.ConventionTask
Task to run a Play application.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`PlayRun()`

## Method Summary

Modifier and Type
Method
Description
`File`
`getApplicationJar()`
The Play application jar to run.
`Set<File>`
`getAssetsDirs()`
The directories of the assets for the Play application (for live reload functionality).
`File`
`getAssetsJar()`
The assets jar to run with the Play application.
`org.gradle.deployment.internal.DeploymentRegistry`
`getDeploymentRegistry()`
`BaseForkOptions`
`getForkOptions()`
fork options for the running a Play application.
`int`
`getHttpPort()`
The HTTP port listened to by the Play application.
`DirectoryProperty`
`getWorkingDir()`
The working directory.
`void`
`run()`
`void`
`setApplicationJar(File applicationJar)`
`void`
`setAssetsDirs(Set<File> assetsDirs)`
`void`
`setAssetsJar(File assetsJar)`
`void`
`setChangingClasspath(FileCollection changingClasspath)`
`void`
`setHttpPort(int httpPort)`
`void`
`setPlayToolProvider(org.gradle.play.internal.toolchain.PlayToolProvider playToolProvider)`
`void`
`setRuntimeClasspath(FileCollection runtimeClasspath)`

### Methods inherited from class org.gradle.api.internal.ConventionTask

`conventionMapping, conventionMapping, getConventionMapping`

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PlayRun

public PlayRun()

## Method Details

### getForkOptions

public BaseForkOptions getForkOptions()
fork options for the running a Play application.

### run

public void run()

### getHttpPort

@Internal public int getHttpPort()
The HTTP port listened to by the Play application. This port should be available. The Play application will fail to start if the port is already in use.

Returns:
  HTTP port

### setHttpPort

public void setHttpPort(int httpPort)

### getWorkingDir

@Internal public DirectoryProperty getWorkingDir()
The working directory.

Since:
  4.4

### getApplicationJar

public File getApplicationJar()
The Play application jar to run.

### setApplicationJar

public void setApplicationJar(File applicationJar)

### getAssetsJar

public File getAssetsJar()
The assets jar to run with the Play application.

### setAssetsJar

public void setAssetsJar(File assetsJar)

### getAssetsDirs

public Set<File> getAssetsDirs()
The directories of the assets for the Play application (for live reload functionality).

### setAssetsDirs

public void setAssetsDirs(Set<File> assetsDirs)

### setRuntimeClasspath

public void setRuntimeClasspath(FileCollection runtimeClasspath)

### setChangingClasspath

public void setChangingClasspath(FileCollection changingClasspath)

### setPlayToolProvider

public void setPlayToolProvider(org.gradle.play.internal.toolchain.PlayToolProvider playToolProvider)

### getDeploymentRegistry

@Inject public org.gradle.deployment.internal.DeploymentRegistry getDeploymentRegistry()